> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get synced licenses for integration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/integration/{id}/licenses
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{id}/licenses:
    get:
      tags:
        - Integration
      summary: Get synced licenses for integration
      operationId: IntegrationController_getIntegrationLicenses
      parameters:
        - name: id
          required: true
          in: path
          description: Integration ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationLicenseV2'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    IntegrationLicenseV2:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the stored license row
        licenseId:
          type: string
          description: Integration-provided license identifier
        licenseName:
          type: string
          description: Human-readable license name
        isMain:
          type: boolean
          description: Whether this license is marked as the primary license
        licenseTarget:
          type: string
          enum:
            - USER
            - ENDPOINT
          description: Type of resource this license applies to (user or endpoint)
        totalSeats:
          type: number
          description: Total available seats in this license
        usedSeats:
          type: number
          description: Number of seats currently in use
        licenseMetadata:
          type: object
          nullable: true
          description: Provider-specific metadata for this license
        status:
          nullable: true
          description: Optional status for this license subscription
          allOf:
            - $ref: '#/components/schemas/LicenseStatusDto'
        updatedAt:
          type: string
          description: Timestamp when the license was last updated
      required:
        - id
        - licenseId
        - licenseName
        - isMain
        - licenseTarget
        - totalSeats
        - usedSeats
        - updatedAt
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    LicenseStatusDto:
      type: object
      properties:
        label:
          type: string
          description: Human-readable status label
        severity:
          type: string
          enum:
            - info
            - warning
            - error
          description: Severity level of the status
        description:
          type: string
          description: Optional description of the status
      required:
        - label
        - severity
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````